Eclipse Rich Ajax Platform

## org.eclipse.rwt.lifecycle
Class DefaultEntryPointFactory

    java.lang.Object
      org.eclipse.rwt.lifecycle.DefaultEntryPointFactory

All Implemented Interfaces:
  IEntryPointFactory

    public class DefaultEntryPointFactory

extends java.lang.Object
implements IEntryPointFactory

A default entrypoint factory that creates entrypoint instances from a given class. Note that this does not work with member classes, which cannot be instantiated.

Since:
  1.5

Constructor Summary
`DefaultEntryPointFactory(java.lang.Class<? extends IEntryPoint> type)` Creates a new entrypoint factory for the given class.

Method Summary
`IEntryPoint` `create()` Creates a new entrypoint instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEntryPointFactory

    public DefaultEntryPointFactory(java.lang.Class<? extends IEntryPoint> type)

  Creates a new entrypoint factory for the given class.

  Parameters:
    `type` - the entrypoint class, must not be a non-static inner class

Method Detail

### create

    public IEntryPoint create()

  Description copied from interface: `IEntryPointFactory`
  Creates a new entrypoint instance.

  Specified by:
    `create` in interface `IEntryPointFactory`

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.